Package Details: python-fontmath 0.6.0-1

Git Clone URL: https://aur.archlinux.org/python-fontmath.git (read-only, click to copy)
Package Base: python-fontmath
Description: A set of objects for performing math operations on font data.
Upstream URL: https://github.com/robotools/fontMath
Licenses: MIT
Submitter: wiill
Maintainer: thrasibule
Last Packager: thrasibule
Votes: 2
Popularity: 0.40
First Submitted: 2017-01-05 01:32
Last Updated: 2020-05-17 01:21

Latest Comments

caleb commented on 2020-04-02 17:38

@lglu47 This package really isn't responsible for that, you should raise this as an issue with the upstream fontmath project.

Iglu47 commented on 2020-04-02 16:59

works fine, only 1 warn on tests: /usr/lib/python3.8/site-packages/fontTools/misc/py23.py:11: DeprecationWarning: The py23 module has been deprecated and will be removed in the next release. Please update your code.

yochananmarqos commented on 2020-01-08 23:28

Ah, good point about python-wheel. It built fine without it.

When I use your PKGBUILD, the tests don't run. They only do with mine. That's odd they would run for you but not me. It's been a long day, maybe I'm missing something.

thrasibule commented on 2020-01-08 22:49

Well unless you run python setup.py bdist_wheel, needs_wheel will be empty, so I seriously doubt it depends on python-wheel. I agree that based on setup.py, it looks like it should depend on python-pytest-runner, but I don't have it installed, and the tests run fine here, do you see otherwise?

yochananmarqos commented on 2020-01-08 22:38

I apologize, they should be in checkdepends(). I've updated my PKGBUILD.

See the setup.py. The test actually does not run at all without them. You're missing the build() function. The tests should be run after building and before installing.

thrasibule commented on 2020-01-08 20:19

This package does not depend on python-wheel nor python-pytest-runner, so I don't see why you put them in makedepends. I will change the url and add the License file. Anything else that does not conform to the Python package guidelines?

yochananmarqos commented on 2020-01-08 20:09

This is missing dependencies and does not adhere to Python package guidelines. See my PKGBUILD. Also the upstream URL has changed to https://github.com/robotools/fontMath.